# $Revision: 1.8 $, $Date: 2012/03/26 19:45:36 $
# TODO
# - system locale dir
%define		status		stable
%define		pearname	Horde_Image
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Image API
Name:		php-horde-Horde_Image
Version:	1.0.10
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	ae4d4912ca56972e2b0d64ff7a91ebed
URL:		https://github.com/horde/horde/tree/master/framework/Image/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Support < 2.0.0
Requires:	php-horde-Horde_Translation < 2.0.0
Requires:	php-horde-Horde_Util < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-gd
Suggests:	php-json
Suggests:	php-pear-XML_SVG
Suggests:	php-zlib
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	 pear(XML/SVG.*)

%description
This package provides an Image utility API, with backends for:
- GD
- GIF
- PNG
- SVG
- SWF
- ImageMagick convert command line tool
- Imagick Extension

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc optional-packages.txt
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Image.php
%{php_pear_dir}/Horde/Image
%{php_pear_dir}/data/Horde_Image

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-horde-Horde_Image.spec,v $
Revision 1.8  2012/03/26 19:45:36  glen
- updated to: 1.0.10

Revision 1.7  2011/11/04 12:44:49  glen
- updated to: 1.0.7

Revision 1.6  2011/11/03 04:54:50  glen
- updated to: 1.0.6

Revision 1.5  2011/07/31 20:03:07  glen
- updated to: 1.0.4

Revision 1.4  2011/07/31 19:05:18  glen
- updated to: 1.0.1

Revision 1.3  2011/05/03 05:26:45  glen
- use github url to package, as pear url is not specific

Revision 1.2  2011/04/11 07:44:31  glen
- Horde dir dep

Revision 1.1  2011/04/10 21:38:06  glen
- horde h4 pear packages
